openmpt_stream_callbacks Struct Reference
libopenmpt C

Stream callbacks. More...

`#include <libopenmpt/libopenmpt.h>`

## Public Attributes

openmpt_stream_read_func | read
| Read callback. More...
openmpt_stream_seek_func | seek
| Seek callback. More...
openmpt_stream_tell_func | tell
| Tell callback. More...

## Detailed Description

Stream callbacks.

Stream callbacks used by libopenmpt for stream operations.

See also
  openmpt_stream_get_file_callbacks
  openmpt_stream_get_fd_callbacks
  openmpt_stream_get_buffer_callbacks

## Member Data Documentation

## read

openmpt_stream_read_func openmpt_stream_callbacks::read

Read callback.

See also
  openmpt_stream_read_func

## seek

openmpt_stream_seek_func openmpt_stream_callbacks::seek

Seek callback.

Seek callback can be NULL if seeking is not supported.

See also
  openmpt_stream_seek_func

## tell

openmpt_stream_tell_func openmpt_stream_callbacks::tell

Tell callback.

Tell callback can be NULL if seeking is not supported.

See also
  openmpt_stream_tell_func

The documentation for this struct was generated from the following file:

- libopenmpt/libopenmpt.h